const darkCookie = getCookie("dark");
const dark = darkCookie == undefined ? window.matchMedia("(prefers-color-scheme: dark)").matches : darkCookie == "true";
if (dark)
    addStyle("/style/dark.css");

// redirect legacy anchors
if (/^#privacy\/?$/.test(location.hash))
    location.href = "/privacy";
if (/^#impressum\/?$/.test(location.hash))
    location.href = "/impressum";

$(function () {
    $('.navbar-collapse a').on('click', function () {
        $('.navbar-collapse').collapse('hide');
    });

    $('#blobheart').on('click', function () {
        $('#navbar-image').attr('src', 'res/heart.jpeg');
    });

    let mode = $('#dark-mode');
    mode.prop('checked', dark);
    mode.on('click', function () {
        setCookie("dark", $(this).prop('checked'), 365);
        location.hash = "";
        location.reload();
    });
});